Bug 907460 (CVE-2013-0429) - CVE-2013-0429 OpenJDK: PresentationManager incorrectly shared (CORBA, 7141694)
Summary: CVE-2013-0429 OpenJDK: PresentationManager incorrectly shared (CORBA, 7141694)
Status: CLOSED ERRATA
Alias: CVE-2013-0429
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20130201,repo...
Keywords: Security
Depends On:
Blocks: 906729
TreeView+ depends on / blocked
 
Reported: 2013-02-04 13:20 UTC by Stefan Cornelius
Modified: 2019-06-08 19:25 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-15 13:25:43 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0236 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2013-02-05 04:53:12 UTC
Red Hat Product Errata RHSA-2013:0237 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-02-05 04:53:02 UTC
Red Hat Product Errata RHSA-2013:0245 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2013-02-09 00:35:08 UTC
Red Hat Product Errata RHSA-2013:0246 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-02-09 00:12:22 UTC
Red Hat Product Errata RHSA-2013:0247 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-02-09 00:24:43 UTC

Description Stefan Cornelius 2013-02-04 13:20:53 UTC
It was discovered that the CORBA component incorrectly shared 
PresentationManagers accross different threaded groups and application
contexts. An untrusted Java application or applet could use these flaws
to bypass Java sandbox restrictions.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2013-1841061.html

Comment 1 Tomas Hoger 2013-02-04 16:34:12 UTC
Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/corba/rev/c1ed8145c1b8

Comment 2 errata-xmlrpc 2013-02-04 23:56:22 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0237 https://rhn.redhat.com/errata/RHSA-2013-0237.html

Comment 3 errata-xmlrpc 2013-02-04 23:58:13 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0236 https://rhn.redhat.com/errata/RHSA-2013-0236.html

Comment 4 errata-xmlrpc 2013-02-08 19:16:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0246 https://rhn.redhat.com/errata/RHSA-2013-0246.html

Comment 5 errata-xmlrpc 2013-02-08 19:27:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0247 https://rhn.redhat.com/errata/RHSA-2013-0247.html

Comment 6 errata-xmlrpc 2013-02-08 19:37:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0245 https://rhn.redhat.com/errata/RHSA-2013-0245.html

Comment 7 Tomas Hoger 2013-02-14 10:14:15 UTC
Fixed in upstream IcedTea versions IcedTea6 1.11.6, and 1.12.1, and IcedTea7 2.1.5, 2.2.5, and 2.3.6:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021708.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021728.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021905.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021876.html

Note that version 2.3.5 was tagged in upstream mercurial including the security fixes, but was not released.  Only 2.3.6 was released, correcting problem introduced by security patches as included in 2.3.5.


Note You need to log in before you can comment on or make changes to this bug.